Bug 8969 - printtool does not detect lp ports, tried all that ive can
Summary: printtool does not detect lp ports, tried all that ive can
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-30 00:24 UTC by ste
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-07 17:09:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ste 2000-01-30 00:24:39 UTC
OK, printtool does not recognize my lp ports.  Ive added:

alias parport_lowlevel parport_pc' to /etc/conf.modules

Rebooted, nothing changed.  Then I upgraded the lpr tot he newest
version.  Restarted it.  Nothing happened.  I went into bios and changed
the parallel port config to EPP.  Rebooted.  Nothing changed.  I typed
in 'cat /dev/lp*'  it returned:

cat /dev/lp0: No such device
cat /dev/lp1: No such device
cat /dev/lp2: No such device

I looked in /var/log/messages, and noticed it said:

lp: module loaded, but no devices found

So what is wrong?  This is on RH6.1, trying to configure a Cannon BJC-600
printer.  (ive tried my old BJ-10ex also, same results)....soemone please
help.  No one in #linux chat can help me.

Comment 1 ste 2000-02-01 00:54:59 UTC
Nm.....got it to work.  Changed the parallel ports to Bidirectional, and it
works.  Now i cant print tot he port.  I can print to the printer with
echo "text" > /dev/lp0......but when i open up gtext and type something and hit
print, it closes on me.....but i guees my problem is solved...

Comment 2 Bernhard Rosenkraenzer 2000-02-07 17:09:59 UTC
Guess gtext is segfaulting - you'll probably want to contact its maintainers.


Note You need to log in before you can comment on or make changes to this bug.